{
	"format_version" : "1.10.0",
	"animation_controllers" : {
		"controller.animation.ender_mystic.attack": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						"idle"
					],
					"transitions": [
						{ "charge": "q.property('ldz:beam_state') == 1" }
					],
					"blend_transition": 0.2
				},
				"charge": {
					"animations": [
						"charge"
					],
					"transitions": [
						{ "beam": "q.property('ldz:beam_state') == 2" },
						{ "default": "q.property('ldz:beam_state') == 0" }
					],
					"blend_transition": 0.2
				},
				"beam": {
					"animations": [
						"beam"
					],
					"transitions": [
						{ "end": "q.property('ldz:beam_state') == 3" },
						{ "default": "q.property('ldz:beam_state') == 0" }
					],
					"blend_transition": 0.2
				},
				"end": {
					"animations": [
						"end"
					],
					"transitions": [
						{ "default": "q.property('ldz:beam_state') == 0" }
					],
					"blend_transition": 0.2
				}
			}
		}
	}
}
